<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 4/17/17
 * Time: 5:51 PM
 *
 * Check: CODING.md > Download
 */

namespace qfq;

use qfq;

require_once(__DIR__ . '/../qfq/report/Download.php');
require_once(__DIR__ . '/../qfq/Constants.php');
require_once(__DIR__ . '/../qfq/exceptions/DownloadException.php');
require_once(__DIR__ . '/../qfq/exceptions/CodeException.php');
require_once(__DIR__ . '/../qfq/exceptions/DbException.php');
require_once(__DIR__ . '/../qfq/exceptions/ErrorHandler.php');


set_error_handler("\\qfq\\ErrorHandler::exception_error_handler");

$error = '';

try {
    try {
        $download = new Download();

        // If all is fine: process() will output file via print() !!
        $error = $download->process(STORE_SIP, OUTPUT_MODE_DIRECT);

    } catch (qfq\CodeException $e) {
        $error = $e->formatMessage();
    } catch (qfq\DbException $e) {
        $error = $e->formatMessage();
    } catch (qfq\DownloadException $e) {
        $error = $e->formatMessage();
    }
} catch (\Exception $e) {
    $error = "Exception: " . $e->getMessage();
}

echo $error;
