#!/bin/bash

function help_message() {
    cat <<EOF
`basename $0` -p <phpunitphar> -t <testdirectory> -m <mailto> [-h]
EOF
}

while getopts p:t:m:h name
do
    case "$name" in
	h)
	    help_message
	    exit 0
	    ;;
	p)
	    PHPUNITPHAR=$OPTARG
	    ;;
	t)
	    TESTPATH=$OPTARG
	    ;;
	m)
	    MAILTO=$OPTARG
	    ;;
    esac
done

if [ -z "$PHPUNITPHAR" -o -z "$TESTPATH" -o -z "$MAILTO" ]
then
    help_message
    exit 1
fi

PHPUNITOUTPUT=`php $PHPUNITPHAR "$TESTPATH/phpunit" 2>&1`
if [ $? -ne 0 ]; then
    echo "$PHPUNITOUTPUT" | mailx -s 'QFQ PHPUnit Tests Failed' $MAILTO
fi

# if type phantomjs >/dev/null 2>&1
# then
#     phantomjs "$TESTPATH/phantom.js"
#     if [ -f /tmp/phantomjs.png ]
#     then
# 	mailx -s 'PhantomJS freaked' -a /tmp/phantomjs.png $MAILTO && rm -f /tmp/phantomjs.png
#     fi
# fi


